Subject: Re: Q & A on Chinese Programming Basics

From: Carlos McEvilly <[email-masked]>
Date: Thu, 4 Nov 1993 09:12:57 PST

In-Reply-To: L.S.Ng" at Nov 4, 93 11:09 am

> I saw lots of titles such as: How to use PE2 with Eten, How to run 1-2-3
> in Chinese, How to modify English Menu to Chinese, How to use PCTOOLS in

This is very true.  Probably over ninety percent of these are tutorials
for some various input method--everyone wants to get a piece of this
pie, so there are a slew of books on each method.  Further, many of
the books you mentioned such as "How to run 1-2-3 in Chinese" are
classified (by the bookstores) under "Chinese Computing," so a quick
browse by the Chinese Computing section of the bookstore could be
misleading--a whole shelf full of books looks impressive, but there
are really very few, as you put it, serious books on programming.
In case anyone thinks: "if they need a whole book to explain how to
run Chinese, then the system is flawed," I'll point out that such
books are invariably tutorials on the particular software (1-2-3) in
the title.

> ETEN or Cangjie Tutorial etc.  But I haven't seen a serious book on
> 'Programming'.  If you have, please quote me the title, author,
> publisher and year of publication.  I will be much grateful.

I think I mentioned this before on CCNET-L, but it was a long time
ago:

"ETen Zhongwen C yuyan chengshi jiemianguan" [ETen Chinese C
Language Programming Interface], ETen Information System Co., Ltd.

This is a library of functions for Chinese text and screen handling.
The small book comes with a diskette containing .LIB files for
linking into DOS programs (MSC and Turbo C) and source code samples
for each function in the library.  Functions include putting
characters on the screen, moving to positions on the screen, sizing
characters, changing graphic resolution, detecting presence of
Chinese system, detecting version of Chinese system, detecting and
changing current input method, getting the key presses necessary
to input any given character under any supported input method,
changing between 16x16 and 24x24 mode (vector fonts are not
supported), converting between various character coding systems
used in Taiwan (GB is not supported), and others.

Here's an example of a function, from one of the provided header
files:

/* write string at the position with attribute, cursor is moved
     etWrtStr (type, row, col, str,   attr);              */
void etWrtStr (int,  int, int, char *, int);

The address ETen gives for Malaysia is:

  56-B, 2nd Flr., Jalan Sultan Ismail
  50250 Kuala Lumpur
  Malaysia
  Tel: 3-242-4236
  Fax: 3-241-1557

Another source for ETen software and books is:

  Chase Computers
  210 E. Main St.
  Alhambra, CA  91801  USA
  Tel: (818) 300-8666
  Fax: (818) 300-8693

Although the above only supports 16x16 and 24x24, ETen did come
out with an outline font product in 1990, and it has been three
years so it is possible that in the intervening period they
have had a chance to update this library (originally published
in 1989 or 1990, I believe) to incorporate outline font handling
capability.

ETen and the other companies providing Chinese system software in
Taiwan also publish technical reference books, such as the "ETen
Zhongwen Xitong Jishushouce."  However these are mainly geared to
assembly language programmers.

I have no current or past connection with ETen other than as a
customer.

Then there's also MS-Windows Chinese edition, with its Far
Eastern SDK.

- Carlos McEvilly

--